/* Rod Barbee Photography Custom CSS */

/*body background gradient
==========================================================*/

body {
	background: linear-gradient(180deg, #D18555, #0F0701 100%);
	background-attachment: fixed;
	background-repeat: no-repeat;
	min-height: 100%;
} 

@font-face {
  font-family: 'enviro';
  src: url('/backlight/custom/fonts/Enviro.eot'); /* IE9 Compat Modes */
  src: url('/backlight/custom/fonts/Enviro.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/backlight/custom/fonts/Enviro-Regular.woff') format('woff'), /* Modern Browsers */
       url('/backlight/custom/fonts/Enviro-Regular.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('/backlight/custom/fonts/Enviro-Regular.svg#svgFontName') format('svg'); /* Legacy iOS */
}

/*Custom footer with Pangolin social media code*/

 footer {
	background-color: white;
	border-top: 1px solid black;
	
}

 .social-media-profiles ul {
    float: right;
    margin: 0  auto 1.5rem;
    max-width: 125px;
    padding: 0;
    position: relative;    
}
	
 .social-media-profiles ul li {
    float: left;
    list-style-type: none;
    margin: 0px 4px 4px;
	padding: 2px 4px;
		background-color: #008000;
	border-radius: 6px
}

 .social-media-profiles ul li a {
	color: white;
}

#footer {
	padding: 12px 0;
}

@media screen and ( max-width: 1023px ) {
	#footer {
		padding: 0 4px 12px;
		
	}
	#footer p {
		text-align: center;
	}
	 .social-media-profiles ul {
		float: none;
	}	
}

/*MISC ELEMENTS**************************************************************************************/

/* centered horizontal rules
================================================*/
hr.hr-short {
	width: 25%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
}

hr.hr-medium {
	width: 50%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
}


/*aligns text right on Desktop displays. Adjust min-width as needed
==========================================================*/

@media screen and (min-width: 1025px) {
	.text-right {
		text-align:right;
	}
}

/*Inline images
=============================*/

.widget img, .the__copy img {
	border: 1px solid black;
	box-shadow: 2px 2px 4px rgba(0,0,0,0.4);
}


/*Fancybox image styling
=======================================================*/

.fancybox-slide img {
    border: 1px solid black;
    box-shadow: 2px 2px 4px rgba(0,0,0,0.4);
    padding: 8px;
    top: 2%;
    height: 96%;
}





/*Styling for any before/after gallery text
===========================================*/

.after-text, .before-text {
	padding: 0 24px;
}
.after-text p, .before-text p {
	margin: 1.5em 0;
	line-height:1.5em;
}



/*Style Search page 
===============================*/
.album-template-identifier-search h2 {
	text-align: center;
}

/*Books page index images 
=================================*/

.book-images img {
	height: 249px;
	display: block;
	margin: 0 auto 20px;
}


/*Unordered list float fixed
==========================================*/
ul.ul-float-fix {
	overflow:hidden;
}

/* lists in pallets */

.widget ul li {
    list-style-type: square;
    margin-left: 12px ;
}

/*Cart styling
====================================*/

.checkout-warning {
	display: none;
}

/*Add top margin to individual page images*/

@media screen and (min-width:1024px){
	img.page-image {
		margin-top: 1.5rem;
	}
}


/*Contact page success message styling
==============================================*/

#message.success {
background-color: #333333;
}

/*remove top margin for headings where needed
=================================================*/
.heading-top > h3,.heading-top > h2, .heading-top > h1 {
	margin-top: 0;
}


/*Special case heading styles
======================================================*/

h3.short-heading {
	margin-top: 0;
}

#info-area .info h3, #info-area .info h2.widgettitle {
	margin-top: 0;
}




/* =========Wordpress BB stylings====================== 
=======================================================*/

.info .widget_nav_menu {
	margin-top: 0;
}

.widget_nav_menu li a {
		font-size: 1rem;
		color: #918e8e
	}
	
	.page__pallet .widget_nav_menu {
		padding-left: 12px;
	}
	
	.page__pallet .widget_nav_menu {
		padding-top: 12px;
		border-top: 1px solid black;
	}
	
		.widget a {
		line-height: 1.8em;
	}

/* =============other WordPress styling=================
========================================================*/
/*Newsletter sign up widget */

.mailchimp {
	border-left: 1px solid black;
}
 
 /* Fancybox caption styling */
 
 .slug-wp-bl2 .fancybox-caption {
	 background: white;
 } 
 
 .slug-wp-bl2 .fancybox-slide {
	 border-bottom: 1px solid black;
 }
 
 .slug-wp-bl2 .fancybox-caption__body {
	 text-align: center;
 }

/*Popup styling
====================================*/

h2.popup-title, h3.popup-title {
	background: #333333;
	background: linear-gradient(#333333, #777777);
	padding: 12px 24px;
	color: white;
	margin-right: -48px;
	margin-left: -48px;
	}

#popup, .product-large-image {
	padding-top:0;
		
}
/*#popup p, .product-large-image p {
	margin-left: 12px;
	margin-right: 12px;
}*/

img.product-image {
	max-width: 1200px;
	margin: 0 12px;
}

/*#popup h3 {
	padding-left: 12px;
}*/

/*#popup .pop-up-inner {
	padding: 0 24px;
}*/

/* Pop-up Close button styling*/
#popup button.fancybox-close-small {
	color:white;
}

@media screen and ( min-width: 1025px ) {
	#popup {
		max-width: 50%;
	}
}

/*Change overlay opacity and transition timing */
.slug-pop-up .fancybox-is-open .fancybox-bg {
    opacity: .60;
    transition-timing-function: cubic-bezier(.22,.61,.36,1);
}
/*Change overlay background color */
.slug-pop-up .fancybox-bg {
    background: #008000;
	}
	


/* Scroll to top button styling
==================================================*/
.btn-scroll-to-top {
    background-color: transparent;
    display: none;
    position: fixed;
    bottom: 24px;
    right: 24px;
	border: 1px solid;
	height: 48px;
	width: 48px;
	border-radius: 50%; 
    text-align: center;
	line-height: 36px;
	vertical-align: middle;
    text-decoration: none;
    color:#A26640
	
}
.btn-scroll-to-top:hover {
    text-decoration: none;
    color:#008000;
}

a.btn-scroll-to-top {
	z-index: 3;
}

.btn-scroll-to-top i {
	position: relative;
	top: 6px;
}

/*Styling for replaced menu button at mobile sizes - needs phplugins function 
==============================================================================*/
.page__toggle__buttons label p {
	padding: 14px 0 0 24px;
}

/*Vegas inline styling
===========================================*/
/*Center controls over slideshow*/

#vegas_controls {
	text-align: center;	
	top: -50px;
}

#vegas_caption p {
    border-bottom: 0;
}




	
/*Galleria slideshow styling
=================================================*/
/*
.galleria-info-description {
    margin-top: 8px;
}*/


.galleria-container {
	border: 1px solid black;
	box-shadow: 4px 4px 8px rgba(0,0,0,0.4);
	}

.galleria-info {
	position: initial;
}	

/* centered horizontal rules
================================================*/
hr.hr-short {
	width: 25%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
}

hr.hr-medium {
	width: 50%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
}	
	



/*Descriptive album set styling 
==========================================*/

.albums figure a {
   
    box-shadow: 3px 3px 3px rgba(0,0,0,0.25);
}

.albums img {
	border: 1px solid black;
}


/*Horizontal Navigation styling to spread main menu items out
=================*/

@media screen and (min-device-width: 1025px) {
	nav.nav_h li {
		
		padding-left: 12px;
		padding-right: 12px;
	}
	/*
	li.menu-item:hover {
		background-color:#333333 !important;
	}

	.nav.nav ul ul  {
		width: 300px;
	}*/
	
	
}

/* ++++++++++++++++  Navigation ++++++++++++++++++++++++++++*/

/*===========================================================
  Horizontal Navigation styling to spread main menu items out
=============================================================*/


@media screen and (min-width: 1023px) {
	nav.nav_h li.menu-item:hover {
	background-color:#333333 !important;
	}
	/*controls width of info and about sub-menus */
	.nav.nav_h ul.primary-menu ul.sub-menu {
		width: 250px;
	}
	/* Controls width of Galleries sub menu--adjust accordingly */
		.nav.nav_h ul.primary-menu li:nth-child(2) ul.sub-menu  {
		width: 325px;
	}	
}

@media screen and (min-width: 1025px) {
	.template-identifier-workshops nav.nav_h li  {
		
		padding-left: 4px;
		padding-right: 4px;
	}
}
	
	
@media screen and (max-device-width: 1024px) {	

.template-identifier-main nav.nav_h li, .slug-main-wp nav.nav_h li {
		
		padding-left: 8px;
		padding-right: 8px;
	}
}

/*==============Remove sub-menu items from Galleries in mobile navigation ==============*/

#page__pallet__T1 li.menu-item:nth-child(3) > ul.sub-menu {
	display: none;
}


/*ensure breadcrumbs align with copy*/

ul.breadcrumbs {
	padding-left: 24px;
}

/*Search hand-off button styling -- change colors to conform with main site styling
============================================================================================*/	

form.search-handoff button {
	background: #008000; /*green*/
	border: none;
	border-radius: 0px 3px 3px 3px;
	color: #ffffff;
	cursor: pointer;
	display: inline-block;
	line-height: 1.5rem;
	padding-left: 0.25em;
	padding-right: 0.25em;
	text-align: center;
	vertical-align: baseline;
	text-decoration: none;
	margin-top: 12px;
	font-size: 1rem;
}

form.search-handoff button:hover, form.search-handoff button:focus {
	color: #ffffff;
	text-decoration: underline;
}

/*Lessons pages styling 
===================================================*/


/*Text only index-2  From Workshops test*/

.album-set-template-identifier-text-index .albums figure {
    width: 100%;
	}
	
/*Control space between items in text album set page*/	
	
.album-set-template-identifier-text-index .albums figure::before {
	padding-top: 8%;
}

@media screen and (max-width: 948px) {
	.album-set-template-identifier-text-index .albums figure::before {
	padding-top: 14%;
}
}

/*=====Remove thumbnail
========================*/

.album-set-template-identifier-text-index #albums img {
	display: none;
}


.album-set-template-identifier-text-index .albums figure a {
	height: 60px;
	margin-right: 20px;
	margin-left: 20px;
}


	.albums-descriptive figcaption {
		border-bottom:1px;
	}


.album-set-template-identifier-text-index p.album-title, .album-set-template-identifier-text-index p.album-description {
	line-height: 1.25rem;
}

.album-set-template-identifier-text-index p.album-title {
	font-size: 1rem;
}

.album-set-template-identifier-text-index p.album-description {
	font-size: .857rem;
}	
	

.album-set-template-identifier-text-index p.album-title, .album-set-template-identifier-text-index p.album-description {
	line-height: 1.25rem;
}

.album-set-template-identifier-text-index .the__albumSet figure a {
    box-shadow: 2px 2px 5px rgba( 0, 0, 0, 0.5 );
}
	
.album-set-template-identifier-text-index .the__albumSet > .content {
    max-width: 1140px;    
}

/*Back to basics blank Theater template remove gallery */

.album-template-identifier-basics .the__gallery {
	display: none;
}


/*End text only index-2*/


/*set portrait thumbs in lessons main index*/

.album-set-template-identifier-lessons-main img.portrait {
	max-width: 75px;
}

/*
.albums figure a {
	margin: 0 6px 12px;	
}

.albums figure::before {
        padding-top: 9%;
}*/

/*Responsive grid for external sites styling */

.page-extras h2 {
	text-align: center;
	}
	
.sites figcaption {
	text-align: center;
	padding-top: 8px;
}

.sites figure {
	margin: 1em 0;
}

.sites img {
	display: block;
	margin: 0 auto;
	border: 1px solid black;
	box-shadow: 2px 2px 4px rgba(0,0,0,0.4);
}


/*Styling for adding code boxes in content
===================================================*/

code, pre {
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
}

.code {
	border: 1px solid black;
	padding: 12px;
	color: black;
	background-color: #f1f1f1;
}

/*Hide built-in Gallery Help button in CR albums
=======================================================*/

.the__gallery button.crg-help {
	display:none;
}

/*SEASONAL*********************************************/


/*Bell ring animations
=======================================================*/
	
@-webkit-keyframes bellringleft {
	from {
		-webkit-transform: rotate(20deg);		
		}
	to	{
		-webkit-transform: rotate(-20deg);		
		}
	}	

@keyframes bellringleft {
	from {
		transform: rotate(20deg);		
		}
	to	{
		transform: rotate(-20deg);		
		}
	}

		
@-webkit-keyframes bellringright {
	from {
		-webkit-transform: rotate(-30deg);		
		}
	to	{
		-webkit-transform: rotate(30deg);		
		}
		}
	
@keyframes bellringright {
	from {
		transform: rotate(-30deg);		
		}
	to	{
		transform: rotate(30deg);		
		}
		}
			
.bellLeft {
		color: red;
		display:inline-block;		
		-webkit-animation: bellringleft 2.5s linear infinite alternate;	
		animation: bellringleft 2.5s linear infinite alternate;		
		
		}
		
.bellRight {	
		color: green;
		display: inline-block;		
		-webkit-animation: bellringright 2s linear infinite alternate;
		animation: bellringright 2s linear infinite alternate;		
		}





